/**********************************
 * "Jenna" theme for notebook
 * Petri Salmela <pesasa@iki.fi>
 * 1.12.2015
 **********************************/
[data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea {
  font-family: Helvetica, sans-serif;
  padding: 0; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .notebook-pagetitle {
    background: #82B07B;
    color: white;
    max-width: none;
    border-bottom: 4px solid #ED77AB;
    padding: 1.2em 0 0.2em;
    margin-bottom: 2em; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .notebook-pagetitle h1 {
      max-width: 29em;
      margin: 0 auto; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement {
    line-height: 1.7em; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement blockquote {
      border-left: 8px solid #82B07B;
      margin-left: 1em;
      padding: 0.4em 2em;
      font-style: italic;
      background: #FAFAFA; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement h1 {
      font-size: 200%; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement h2 {
      font-size: 150%; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement h3 {
      font-size: 118%; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement a:link, [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .markdownelement a:visited {
      color: #82B07B;
      font-weight: normal; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper.imageelement-wrapper[data-alignment="right"] [data-elementmode="view"] figure {
    margin: 1em;
    padding: 1em;
    border-left: 6px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper.imageelement-wrapper[data-alignment="left"] [data-elementmode="view"] figure {
    margin: 1em;
    padding: 1em;
    border-right: 6px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"] {
    margin: 2em 4em; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea [data-alignment] .ebook-elementbox[data-elementmode="view"] {
    margin: 0; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper[data-alignment="right"] .ebook-elementbox[data-elementmode="view"][data-boxclass="textbox"] {
    margin: 1em;
    padding: 1em;
    border-left: 6px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper[data-alignment="left"] .ebook-elementbox[data-elementmode="view"][data-boxclass="textbox"] {
    margin: 1em;
    padding: 1em;
    border-right: 6px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"][data-boxclass="elementbox"] {
    background-color: transparent;
    border: none;
    box-shadow: none;
    margin: 2em 4em; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"][data-boxclass="elementbox"] > h1.ebook-elementbox-title {
      font-size: 120%;
      background-color: transparent;
      color: #ED77AB;
      padding: 0 0.8em; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="theorybox"], [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"], [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] {
    background-color: #FAFAFA;
    border: 1px solid #ED77AB;
    box-shadow: none; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="theorybox"] > h1.ebook-elementbox-title, [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] > h1.ebook-elementbox-title, [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] > h1.ebook-elementbox-title {
      font-size: 120%;
      background-color: #ED77AB;
      border-bottom: 2px solid #ED77AB;
      color: #514A34; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] {
    border: 1px solid #82B07B; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] > h1.ebook-elementbox-title {
      background-color: #82B07B;
      color: #514A34;
      border-bottom: 2px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] {
    background-color: white;
    color: black; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] > h1.ebook-elementbox-title {
      background-color: #FAFAFA;
      color: #ED77AB; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="edit"][data-boxclass="definitionbox"],
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="author"][data-boxclass="definitionbox"] {
    color: black; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper > .sdeditorwrapper {
    margin: 0 2em; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .codeelement[data-elementmode="view"] {
    border: 1px solid #82B07B; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper > .codeelement[data-elementmode="view"] {
    margin: 1em 3em; }
  [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] {
    border: 1px dashed #ED77AB;
    margin: 2em 0 0;
    background: white url(data:image/png;base64,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) left top repeat; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] .elementset-assignment-level svg.mini-icon-star {
      fill: #ED77AB; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="multichoice"] > .multichoice-answerarea,
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="shortanswer"] > .shortanswer-answerarea {
      border-left: 5px solid #ED77AB; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="multichoice"] > .multichoice-answerarea li[data-status="correct"] .multichoice-select circle.multichoice-selectfill {
      fill: #82B07B; }
    [data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="multichoice"] > .multichoice-answerarea li[data-status="wrong"] .multichoice-select path.multichoice-wrongmark {
      fill: #ED77AB !important; }

/**** Subsection ***********/
[data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea[data-pagelevel] .notebook-pagetitle h1 {
  font-size: 150%;
  max-width: 38em; }

/**** Frontpage ***********/
[data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea[data-pagelevel="0"] .notebook-pagetitle h1 {
  font-size: 300%;
  max-width: 20em; }

/**** Chapter ***********/
[data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea[data-pagelevel="1"] .notebook-pagetitle h1 {
  font-size: 220%;
  max-width: 27em; }

/**** Section ***********/
[data-nbtheme="jenna"].notebookview-wrapper .notebook-viewarea[data-pagelevel="2"] .notebook-pagetitle h1 {
  font-size: 180%;
  max-width: 34em; }
